#!/usr/bin/env python

# sbgrid python 3.6.5

# version 0.01

import pickle
import numpy as np
import matplotlib
matplotlib.use('agg')
import matplotlib.pyplot as plt
import sys

try:
    inpkl=sys.argv[1]
    outpng=sys.argv[2]
except IndexError:
    sys.stderr.write('format is %s [input pkl file] [output png file]\n'%__file__)
    sys.exit(1)

fn=inpkl

inp=open(fn,'rb')
xs=pickle.load(inp)
inp.close()

# summer looks closest to original pub; but want better contrast
cm_color='coolwarm'
y = plt.imshow(xs['predicted_aligned_error'], cmap=cm_color,interpolation='nearest')
plt.colorbar()
plt.savefig(outpng)

