#!/usr/bin/env bash

# process alphafold2 model for downstream use with PHENIX

inpdb=m0.pdb
out_prefix=PhxProcessed

# there's a chance this will be in a non-default version of phenix
export PHENIX_X=1.20.1-4487

phenix.process_predicted_model ${inpdb} \
output_files.processed_model_prefix=${out_prefix} \
b_value_field_is=lddt > ${out_prefix}.log 2> ${out_prefix}.err

