#!/usr/bin/env bash

sbatch --account=accre_guests_acc \
--reservation=alphafold052022 \
--partition=turing \
--constraint=csbtmp \
--nodes=1 \
--ntasks=6 \
--gres=gpu:1 \
--mem=4G \
--time=00:05:00 \
--job-name=hello_world \
--output=hello_world-slurm.out ./run_hello_world.bash

